<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>DeploymentFactoryImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentFactoryImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.deployment.profile.Deployment.impl;
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EClass;
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EObject;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EPackage;
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.EFactoryImpl;
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.plugin.EcorePlugin;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.deployment.profile.Deployment.*;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <em class="jxr_javadoccomment"> * An implementation of the model &lt;b&gt;Factory&lt;/b&gt;.</em>
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentFactoryImpl.html">DeploymentFactoryImpl</a> <strong class="jxr_keyword">extends</strong> EFactoryImpl <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentFactory.html">DeploymentFactory</a> {
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment">	 * Creates the default factory implementation.</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentFactory.html">DeploymentFactory</a> init() {
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  		<strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  			DeploymentFactory theDeploymentFactory = (DeploymentFactory)EPackage.Registry.INSTANCE.getEFactory(DeploymentPackage.eNS_URI);
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  			<strong class="jxr_keyword">if</strong> (theDeploymentFactory != <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  				<strong class="jxr_keyword">return</strong> theDeploymentFactory;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  			}
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  		}
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  		<strong class="jxr_keyword">catch</strong> (Exception exception) {
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  			EcorePlugin.INSTANCE.log(exception);
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  		}
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentFactoryImpl.html">DeploymentFactoryImpl</a>();
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	}
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 * Creates an instance of the factory.</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentFactoryImpl.html">DeploymentFactoryImpl</a>() {
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  		<strong class="jxr_keyword">super</strong>();
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  	}
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  	@Override
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  	<strong class="jxr_keyword">public</strong> EObject create(EClass eClass) {
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  		<strong class="jxr_keyword">switch</strong> (eClass.getClassifierID()) {
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.CONFIGURATION_PROPERTY: <strong class="jxr_keyword">return</strong> createConfigurationProperty();
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.AUTO_INDEX: <strong class="jxr_keyword">return</strong> createAutoIndex();
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.AUTO_INDEX_PER_NODE: <strong class="jxr_keyword">return</strong> createAutoIndexPerNode();
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.COPY_ATTRIBUTE_VALUE: <strong class="jxr_keyword">return</strong> createCopyAttributeValue();
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.INIT_PRECEDENCE: <strong class="jxr_keyword">return</strong> createInitPrecedence();
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.TARGET: <strong class="jxr_keyword">return</strong> createTarget();
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.OPERATING_SYSTEM: <strong class="jxr_keyword">return</strong> createOperatingSystem();
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.IMPLEMENTATION_PROPERTIES: <strong class="jxr_keyword">return</strong> createImplementationProperties();
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.TARGET_ARCHITECTURE: <strong class="jxr_keyword">return</strong> createTargetArchitecture();
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.DEPLOYMENT_PLAN: <strong class="jxr_keyword">return</strong> createDeploymentPlan();
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.SINGLETON: <strong class="jxr_keyword">return</strong> createSingleton();
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.INSTANCE_CONFIGURATOR: <strong class="jxr_keyword">return</strong> createInstanceConfigurator();
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  			<strong class="jxr_keyword">case</strong> DeploymentPackage.USE_INSTANCE_CONFIGURATOR: <strong class="jxr_keyword">return</strong> createUseInstanceConfigurator();
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  			<strong class="jxr_keyword">default</strong>:
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  				<strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IllegalArgumentException(<span class="jxr_string">"The class '"</span> + eClass.getName() + <span class="jxr_string">"' is not a valid classifier"</span>);
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  		}
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  	}
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/ConfigurationProperty.html">ConfigurationProperty</a> createConfigurationProperty() {
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  		ConfigurationPropertyImpl configurationProperty = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ConfigurationPropertyImpl.html">ConfigurationPropertyImpl</a>();
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  		<strong class="jxr_keyword">return</strong> configurationProperty;
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  	}
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/AutoIndex.html">AutoIndex</a> createAutoIndex() {
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  		AutoIndexImpl autoIndex = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexImpl.html">AutoIndexImpl</a>();
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  		<strong class="jxr_keyword">return</strong> autoIndex;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  	}
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/AutoIndexPerNode.html">AutoIndexPerNode</a> createAutoIndexPerNode() {
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 		AutoIndexPerNodeImpl autoIndexPerNode = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/AutoIndexPerNodeImpl.html">AutoIndexPerNodeImpl</a>();
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 		<strong class="jxr_keyword">return</strong> autoIndexPerNode;
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 	}
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L108" href="#L108">108</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L109" href="#L109">109</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L110" href="#L110">110</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L111" href="#L111">111</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/CopyAttributeValue.html">CopyAttributeValue</a> createCopyAttributeValue() {
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 		CopyAttributeValueImpl copyAttributeValue = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/CopyAttributeValueImpl.html">CopyAttributeValueImpl</a>();
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 		<strong class="jxr_keyword">return</strong> copyAttributeValue;
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 	}
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L118" href="#L118">118</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L119" href="#L119">119</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L120" href="#L120">120</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L121" href="#L121">121</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/InitPrecedence.html">InitPrecedence</a> createInitPrecedence() {
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 		InitPrecedenceImpl initPrecedence = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InitPrecedenceImpl.html">InitPrecedenceImpl</a>();
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 		<strong class="jxr_keyword">return</strong> initPrecedence;
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 	}
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L128" href="#L128">128</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L129" href="#L129">129</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L130" href="#L130">130</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L131" href="#L131">131</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/Target.html">Target</a> createTarget() {
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 		TargetImpl target = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetImpl.html">TargetImpl</a>();
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 		<strong class="jxr_keyword">return</strong> target;
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 	}
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L138" href="#L138">138</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L139" href="#L139">139</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L140" href="#L140">140</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/OperatingSystem.html">OperatingSystem</a> createOperatingSystem() {
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 		OperatingSystemImpl operatingSystem = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/OperatingSystemImpl.html">OperatingSystemImpl</a>();
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 		<strong class="jxr_keyword">return</strong> operatingSystem;
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 	}
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L149" href="#L149">149</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L151" href="#L151">151</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/ImplementationProperties.html">ImplementationProperties</a> createImplementationProperties() {
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 		ImplementationPropertiesImpl implementationProperties = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/ImplementationPropertiesImpl.html">ImplementationPropertiesImpl</a>();
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 		<strong class="jxr_keyword">return</strong> implementationProperties;
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 	}
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L158" href="#L158">158</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L159" href="#L159">159</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L160" href="#L160">160</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L161" href="#L161">161</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/TargetArchitecture.html">TargetArchitecture</a> createTargetArchitecture() {
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 		TargetArchitectureImpl targetArchitecture = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/TargetArchitectureImpl.html">TargetArchitectureImpl</a>();
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 		<strong class="jxr_keyword">return</strong> targetArchitecture;
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 	}
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L168" href="#L168">168</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L169" href="#L169">169</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L170" href="#L170">170</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L171" href="#L171">171</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPlan.html">DeploymentPlan</a> createDeploymentPlan() {
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 		DeploymentPlanImpl deploymentPlan = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/DeploymentPlanImpl.html">DeploymentPlanImpl</a>();
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 		<strong class="jxr_keyword">return</strong> deploymentPlan;
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 	}
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L178" href="#L178">178</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L179" href="#L179">179</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L180" href="#L180">180</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L181" href="#L181">181</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/Singleton.html">Singleton</a> createSingleton() {
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 		SingletonImpl singleton = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/SingletonImpl.html">SingletonImpl</a>();
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 		<strong class="jxr_keyword">return</strong> singleton;
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 	}
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L188" href="#L188">188</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L191" href="#L191">191</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L192" href="#L192">192</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/InstanceConfigurator.html">InstanceConfigurator</a> createInstanceConfigurator() {
<a class="jxr_linenumber" name="L193" href="#L193">193</a> 		InstanceConfiguratorImpl instanceConfigurator = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/InstanceConfiguratorImpl.html">InstanceConfiguratorImpl</a>();
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 		<strong class="jxr_keyword">return</strong> instanceConfigurator;
<a class="jxr_linenumber" name="L195" href="#L195">195</a> 	}
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L198" href="#L198">198</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L199" href="#L199">199</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L200" href="#L200">200</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L201" href="#L201">201</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/UseInstanceConfigurator.html">UseInstanceConfigurator</a> createUseInstanceConfigurator() {
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 		UseInstanceConfiguratorImpl useInstanceConfigurator = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/impl/UseInstanceConfiguratorImpl.html">UseInstanceConfiguratorImpl</a>();
<a class="jxr_linenumber" name="L204" href="#L204">204</a> 		<strong class="jxr_keyword">return</strong> useInstanceConfigurator;
<a class="jxr_linenumber" name="L205" href="#L205">205</a> 	}
<a class="jxr_linenumber" name="L206" href="#L206">206</a> 
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L208" href="#L208">208</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L209" href="#L209">209</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L210" href="#L210">210</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L211" href="#L211">211</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.html">DeploymentPackage</a> getDeploymentPackage() {
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 		<strong class="jxr_keyword">return</strong> (DeploymentPackage)getEPackage();
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 	}
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L217" href="#L217">217</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L218" href="#L218">218</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L219" href="#L219">219</a> <em class="jxr_javadoccomment">	 * @deprecated</em>
<a class="jxr_linenumber" name="L220" href="#L220">220</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L222" href="#L222">222</a> 	@Deprecated
<a class="jxr_linenumber" name="L223" href="#L223">223</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/deployment/profile/Deployment/DeploymentPackage.html">DeploymentPackage</a> getPackage() {
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 		<strong class="jxr_keyword">return</strong> DeploymentPackage.eINSTANCE;
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 	}
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 
<a class="jxr_linenumber" name="L227" href="#L227">227</a> } <em class="jxr_comment">//DeploymentFactoryImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
